Summary:       Processor Counter Monitor
Name:          pcm
Version:       202405
Release:       3%{?dist}
License:       BSD
Url:           https://github.com/opcm/pcm
Source0:       %{url}/archive/%{version}/%{name}-%{version}.tar.gz

Patch3000:     keep-GenuineIntel-6-55-7-json.patch

# https://github.com/intel/pcm/issues/823
Patch0001:     Handle-TPMI-initilization-for-systems-without-access-to-MCFG.patch

BuildRequires: gcc gcc-c++ make cmake
ExclusiveArch: x86_64

%description
Processor Counter Monitor (PCM) is an application programming interface (API) and a set of tools
based on the API to monitor performance and energy metrics of Intel(r) Core(tm), Xeon(r), Atom(tm)
and Xeon Phi(tm) processors. PCM works on Linux, Windows, Mac OS X, FreeBSD and DragonFlyBSD
operating systems.

%prep
%autosetup -n %{name}-%{version} -p1

%build
%cmake -DCMAKE_BUILD_TYPE=CUSTOM 
%cmake_build

%install
%cmake_install
rm -rf %{buildroot}/usr/share/doc/PCM/*.md
rm -rf %{buildroot}/usr/share/doc/PCM/*.txt

%files
%license LICENSE
%doc doc/LINUX_HOWTO.txt README.md doc/FAQ.md doc/CUSTOM-COMPILE-OPTIONS.md doc/ENVVAR_README.md doc/PCM-EXPORTER.md doc/PCM-SENSOR-SERVER-README.md doc/PCM_RAW_README.md doc/DOCKER_README.md doc/license.txt
%{_sbindir}/%{name}
%{_sbindir}/%{name}-*
%{_bindir}/%{name}-client
%{_datadir}/%{name}/

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 202405-3
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Sep 13 2024 Feng Weiyao <wynnfeng@tencent.com> - 202405-2
- [type] bugfix
- [desc] fix core dumped error due to no access to MCFG

* Thu Sep 05 2024 Feng Weiyao <wynnfeng@tencent.com> - 202405-1
- [type] security
- [desc] upgrade to 202405 and fix CVE-2024-21818

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 202211-3
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 202211-2
- Rebuilt for OpenCloudOS Stream 23.09

* Wed Jul 12 2023 cunshunxia <cunshunxia@tencent.com> - 202211-1
- upgrade to 202211

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 202207-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 202207-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Mar 1 2023 Shuo Wang <abushwang@tencent.com> - 202207-1
- initial build
